# Gimp.Gradient.segment_get_left_color

    @accepts(Gimp.Gradient, int)
    @returns(Gegl.Color)
    def segment_get_left_color(self, segment):
        # Python wrapper for gimp_gradient_segment_get_left_color()

Gets the left endpoint color of the segment

Gets the left endpoint color of the indexed segment of the gradient. Returns an error when the segment index is out of range.

Since 2.2

self

  The gradient.

segment

  The index of a segment within the gradient.

Returns